### Method

# GUsb Device get_custom_index

since: 0.2.5

#### Declaration

    guint8
    g_usb_device_get_custom_index (
      GUsbDevice* self,
      guint8 class_id,
      guint8 subclass_id,
      guint8 protocol_id,
      GError** error
    )

#### Description

Gets the string index from the vendor class interface descriptor.

Available since: 0.2.5

#### Parameters

`class_id`

  Type: `guint8`

  A device class, e.g. 0xff for VENDOR.

`subclass_id`

  Type: `guint8`

  A device subclass.

`protocol_id`

  Type: `guint8`

  A protocol number.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint8`

A non-zero index, or 0x00 for failure.